| Bsoft 2.0.5 Bernard's software package

Functions
rwPhylip.h File Reference

Header file for reading and writing Phylip sequence files. More...

`#include "rwmolecule.h"`

Go to the source code of this file.

## Functions
int | readPhylip (Bstring &filename, Bmolgroup *molgroup)
| Reads Phylip format sequence files. More...
int | writePhylip (Bstring &filename, Bmolgroup *molgroup)
| Writes Phylip format sequence files. More...

## Detailed Description

Header file for reading and writing Phylip sequence files.

Author
  Bernard Heymann

Date
  Created: 20030308
  Modified: 20030308

      Format: Protein sequence file format

Definition in file rwPhylip.h.

## Function Documentation

## ◆ readPhylip()

int readPhylip | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Reads Phylip format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules read (<0 if reading failed).

      Phylip format:
      21   1419
      WMBEX6    MT------------------------------------------------
      P89429    MA------------------------------------------------
      P09302    MAEITSLFNNSS--------------------------------------

Definition at line 29 of file rwPhylip.cpp.

## ◆ writePhylip()

int writePhylip | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Writes Phylip format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules written (<0 if writing failed).

Definition at line 94 of file rwPhylip.cpp.